libsigc++: sigc::track_obj_functor3< T_functor, T_obj1, T_obj2, T_obj3 > Class Template Reference

libsigc++ 2.10.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sigc::track_obj_functor3< T_functor, T_obj1, T_obj2, T_obj3 > Class Template Reference
Adaptors » track_obj()

track_obj_functor3 wraps a functor and stores 3 references to trackable objects. More...

`#include <sigc++/adaptors/track_obj.h>`

Inheritance diagram for sigc::track_obj_functor3< T_functor, T_obj1, T_obj2, T_obj3 >:
[legend]

## Public Member Functions
| track_obj_functor3 (const T_functor& _A_func, const T_obj1& _A_obj1, const T_obj2& _A_obj2, const T_obj3& _A_obj3)
| Constructs a track_obj_functor3 object that wraps the passed functor and stores references to the passed trackable objects. More...
Public Member Functions inherited from sigc::track_obj_functor1< T_functor, T_obj1 >
| track_obj_functor1 (const T_functor& _A_func, const T_obj1& _A_obj1)
| Constructs a track_obj_functor1 object that wraps the passed functor and stores a reference to the passed trackable object. More...
result_type | operator() ()
| Invokes the wrapped functor. More...
template<typename T_arg1 >
deduce_result_type< T_arg1 >::type | operator() (T_arg1 _A_arg1)
| Invokes the wrapped functor passing on the arguments. More...
template<typename T_arg1 , typename T_arg2 >
deduce_result_type< T_arg1, T_arg2 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2)
| Invokes the wrapped functor passing on the arguments. More...
template<typename T_arg1 , typename T_arg2 , typename T_arg3 >
deduce_result_type< T_arg1, T_arg2, T_arg3 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3)
| Invokes the wrapped functor passing on the arguments. More...
template<typename T_arg1 , typename T_arg2 , typename T_arg3 , typename T_arg4 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4)
| Invokes the wrapped functor passing on the arguments. More...
template<typename T_arg1 , typename T_arg2 , typename T_arg3 , typename T_arg4 , typename T_arg5 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5)
| Invokes the wrapped functor passing on the arguments. More...
template<typename T_arg1 , typename T_arg2 , typename T_arg3 , typename T_arg4 , typename T_arg5 , typename T_arg6 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5, T_arg6 _A_arg6)
| Invokes the wrapped functor passing on the arguments. More...
template<typename T_arg1 , typename T_arg2 , typename T_arg3 , typename T_arg4 , typename T_arg5 , typename T_arg6 , typename T_arg7 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5, T_arg6 _A_arg6, T_arg7 _A_arg7)
| Invokes the wrapped functor passing on the arguments. More...
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor& _A_functor)
| Constructs an adaptor that wraps the passed functor. More...

## Additional Inherited Members
Public Types inherited from sigc::track_obj_functor1< T_functor, T_obj1 >
typedef adapts< T_functor >::adaptor_type | adaptor_type
typedef adaptor_type::result_type | result_type
Public Types inherited from sigc::adapts< T_functor >
typedef adaptor_trait< T_functor >::adaptor_type | adaptor_type
typedef adaptor_trait< T_functor >::result_type | result_type
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()(). More...

## Detailed Description

### template<typename T_functor, typename T_obj1, typename T_obj2, typename T_obj3>
class sigc::track_obj_functor3< T_functor, T_obj1, T_obj2, T_obj3 >

track_obj_functor3 wraps a functor and stores 3 references to trackable objects.

Use the convenience function track_obj() to create an instance of track_obj_functor3.

Template Parameters

  T_functor | The type of functor to wrap.
  T_obj1 | The type of a trackable object.
  T_obj2 | The type of a trackable object.
  T_obj3 | The type of a trackable object.

Since libsigc++ 2.4:

## Constructor & Destructor Documentation

template <typename T_functor , typename T_obj1 , typename T_obj2 , typename T_obj3 >

sigc::track_obj_functor3< T_functor, T_obj1, T_obj2, T_obj3 >::track_obj_functor3 | ( | const T_functor & | _A_func,
|  | const T_obj1 & | _A_obj1,
|  | const T_obj2 & | _A_obj2,
|  | const T_obj3 & | _A_obj3
| ) |  |
| inline

Constructs a track_obj_functor3 object that wraps the passed functor and stores references to the passed trackable objects.

Parameters

  _A_func | Functor.
  _A_obj1 | Trackable object.
  _A_obj2 | Trackable object.
  _A_obj3 | Trackable object.